# Uses of Interface
org.apache.cxf.interceptor.InterceptorChain

Packages that use InterceptorChain
Package
Description
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.message
org.apache.cxf.phase

- ## Uses of InterceptorChain in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type InterceptorChain
  Modifier and Type
  Method
  Description
  `protected void`
  ClientImpl.`modifyChain(InterceptorChain chain, Message ctx, boolean in)`
  `protected void`
  ClientImpl.`modifyOnewayChain(InterceptorChain chain, Message ctx)`

- ## Uses of InterceptorChain in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return InterceptorChain
  Modifier and Type
  Method
  Description
  `static InterceptorChain`
  OutgoingChainInterceptor.`getOutInterceptorChain(Exchange ex)`

- ## Uses of InterceptorChain in org.apache.cxf.message

  Methods in org.apache.cxf.message that return InterceptorChain
  Modifier and Type
  Method
  Description
  `InterceptorChain`
  AbstractWrappedMessage.`getInterceptorChain()`
  `InterceptorChain`
  Message.`getInterceptorChain()`
  Returns a live copy of the messages interceptor chain.
  `InterceptorChain`
  MessageImpl.`getInterceptorChain()`
  Methods in org.apache.cxf.message with parameters of type InterceptorChain
  Modifier and Type
  Method
  Description
  `void`
  AbstractWrappedMessage.`setInterceptorChain(InterceptorChain chain)`
  `void`
  Message.`setInterceptorChain(InterceptorChain chain)`
  `void`
  MessageImpl.`setInterceptorChain(InterceptorChain ic)`

- ## Uses of InterceptorChain in org.apache.cxf.phase

  Classes in org.apache.cxf.phase that implement InterceptorChain
  Modifier and Type
  Class
  Description
  `class`
  `PhaseInterceptorChain`
  A PhaseInterceptorChain orders Interceptors according to the phase they participate in and also according to the before & after properties on an Interceptor.